// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace Circ.Frontend.GtkSharp {
    
    
    public partial class MainWindow {
        
        private Gtk.Action File;
        
        private Gtk.Action Edit;
        
        private Gtk.Action Help;
        
        private Gtk.Action Propos;
        
        private Gtk.Action Quitter;
        
        private Gtk.Action Addins;
        
        private Gtk.VBox MainVBox;
        
        private Gtk.MenuBar menubar1;
        
        private Gtk.EventBox evtBox;
        
        private Gtk.Notebook serverContainer;
        
        private Gtk.HBox hbox1;
        
        private Gtk.Label nickLabel;
        
        private Gtk.Entry chatEntry;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize();
            // Widget Circ.Frontend.GtkSharp.MainWindow
            Gtk.UIManager w1 = new Gtk.UIManager();
            Gtk.ActionGroup w2 = new Gtk.ActionGroup("Default");
            this.File = new Gtk.Action("File", Mono.Unix.Catalog.GetString("_File"), null, null);
            this.File.ShortLabel = "_File";
            w2.Add(this.File, null);
            this.Edit = new Gtk.Action("Edit", Mono.Unix.Catalog.GetString("_Edit"), null, null);
            this.Edit.ShortLabel = "_Edit";
            w2.Add(this.Edit, null);
            this.Help = new Gtk.Action("Help", Mono.Unix.Catalog.GetString("_Help"), null, null);
            this.Help.ShortLabel = "_Help";
            w2.Add(this.Help, null);
            this.Propos = new Gtk.Action("Propos", Mono.Unix.Catalog.GetString("À _propos"), null, "gtk-about");
            this.Propos.ShortLabel = "À _propos";
            w2.Add(this.Propos, null);
            this.Quitter = new Gtk.Action("Quitter", Mono.Unix.Catalog.GetString("_Quitter"), null, "gtk-quit");
            this.Quitter.ShortLabel = "_Quitter";
            w2.Add(this.Quitter, null);
            this.Addins = new Gtk.Action("Addins", Mono.Unix.Catalog.GetString("Addins..."), null, null);
            this.Addins.ShortLabel = Mono.Unix.Catalog.GetString("Addins...");
            w2.Add(this.Addins, null);
            w1.InsertActionGroup(w2, 0);
            this.AddAccelGroup(w1.AccelGroup);
            this.Name = "Circ.Frontend.GtkSharp.MainWindow";
            this.Title = Mono.Unix.Catalog.GetString("Circ");
            this.Icon = Gdk.Pixbuf.LoadFromResource("circ_small.png");
            this.AllowShrink = true;
            this.DefaultWidth = 800;
            this.DefaultHeight = 600;
            // Container child Circ.Frontend.GtkSharp.MainWindow.Gtk.Container+ContainerChild
            this.MainVBox = new Gtk.VBox();
            this.MainVBox.Name = "MainVBox";
            this.MainVBox.Spacing = 3;
            // Container child MainVBox.Gtk.Box+BoxChild
            w1.AddUiFromString("<ui><menubar name='menubar1'><menu action='File'><menuitem action='Quitter'/></menu><menu action='Edit'><menuitem action='Addins'/></menu><menu action='Help'><menuitem action='Propos'/></menu></menubar></ui>");
            this.menubar1 = ((Gtk.MenuBar)(w1.GetWidget("/menubar1")));
            this.menubar1.Name = "menubar1";
            this.MainVBox.Add(this.menubar1);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.MainVBox[this.menubar1]));
            w3.Position = 0;
            w3.Expand = false;
            w3.Fill = false;
            // Container child MainVBox.Gtk.Box+BoxChild
            this.evtBox = new Gtk.EventBox();
            this.evtBox.Name = "evtBox";
            // Container child evtBox.Gtk.Container+ContainerChild
            this.serverContainer = new Gtk.Notebook();
            this.serverContainer.Name = "serverContainer";
            this.serverContainer.CurrentPage = 0;
            this.evtBox.Add(this.serverContainer);
            this.MainVBox.Add(this.evtBox);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.MainVBox[this.evtBox]));
            w5.Position = 1;
            // Container child MainVBox.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.BorderWidth = ((uint)(3));
            // Container child hbox1.Gtk.Box+BoxChild
            this.nickLabel = new Gtk.Label();
            this.nickLabel.Name = "nickLabel";
            this.nickLabel.LabelProp = Mono.Unix.Catalog.GetString("(null) : ");
            this.hbox1.Add(this.nickLabel);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.hbox1[this.nickLabel]));
            w6.Position = 0;
            w6.Expand = false;
            w6.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.chatEntry = new Gtk.Entry();
            this.chatEntry.Name = "chatEntry";
            this.chatEntry.IsEditable = true;
            this.chatEntry.InvisibleChar = '●';
            this.hbox1.Add(this.chatEntry);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.hbox1[this.chatEntry]));
            w7.Position = 1;
            this.MainVBox.Add(this.hbox1);
            Gtk.Box.BoxChild w8 = ((Gtk.Box.BoxChild)(this.MainVBox[this.hbox1]));
            w8.Position = 2;
            w8.Expand = false;
            w8.Fill = false;
            this.Add(this.MainVBox);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
            this.Propos.Activated += new System.EventHandler(this.About_Clicked);
            this.Quitter.Activated += new System.EventHandler(this.OnDeleteEvt);
            this.Addins.Activated += new System.EventHandler(this.OnAddinsManager);
        }
    }
}
